Upsert Banner Fallback
curl --request PUT \
--url https://api.topsort.com/public/v1/media-service/slots/{slot_id}/fallback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"width": 123,
"height": 123,
"destination": {
"destinationId": "<string>"
}
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots/{slot_id}/fallback"
payload = {
"url": "<string>",
"width": 123,
"height": 123,
"destination": { "destinationId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
width: 123,
height: 123,
destination: {destinationId: '<string>'}
})
};
fetch('https://api.topsort.com/public/v1/media-service/slots/{slot_id}/fallback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deviceType": "desktop",
"url": "<string>",
"width": 123,
"height": 123,
"contentType": "image/jpeg",
"destination": {
"destinationType": "product",
"destinationId": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Media API
Upsert Banner Fallback
Create or update a banner fallback for a given slot.
This replaces any fallback that already exists for the given device, including one created with a different fallback type. The updated fallback is exported to the auction engine on a five minute cycle with a five minute cache, so it can take up to about 10 minutes for a shopper to see the change. A successful response does not mean the storefront has updated yet.
PUT
/
public
/
v1
/
media-service
/
slots
/
{slot_id}
/
fallback
Upsert Banner Fallback
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The id of the slot.
Corps
application/json
Options disponibles:
desktop, mobile Required string length:
1 - 2083Options disponibles:
image/jpeg, image/png, image/gif, image/webp, text/html, video/mp4, video/quicktime, application/json, text/vtt Show child attributes
Show child attributes
Réponse
Successful Response
Options disponibles:
desktop, mobile Required string length:
1 - 2083Options disponibles:
image/jpeg, image/png, image/gif, image/webp, text/html, video/mp4, video/quicktime, application/json, text/vtt Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?